import { test, expect } from '@playwright/test';

test('homepage has title and link', async ({ page }) => {
	await page.goto('http://scott.localhost:5173/');

	// Expect a title "to contain" a substring.
	await expect(page).toHaveTitle(/SvelteKit/);
});

test('get started link', async ({ page }) => {
	await page.goto('http://localhost:4173/');

	// Click the get started link.
	await page.getByRole('link', { name: 'Docs' }).click();

	// Expects page to have a heading with the name of Installation.
	await expect(page.getByRole('heading', { name: 'Welcome' })).toBeVisible();
});
